Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » WindowBuilder » Eclipse is running under 0, but this Java project has a 9 Java(Working with WindowsBuilder in Design Tab not possible, Message above)
Eclipse is running under 0, but this Java project has a 9 Java [message #1786251] Fri, 27 April 2018 17:06 Go to next message
Christian Eugster is currently offline Christian EugsterFriend
Messages: 175
Registered: July 2009
Location: St. Gallen Switzerland
Senior Member
Hi
i installed today the current version of windowbuilder in oxygen 4.7.3a running on java 9 on a mac. I had no problem with the Installation but when I create e.g. e4 ViewPart (or others) the file is created but on the design tab in windowbuilder there is a message saying:
Eclipse is running under 0, but this Java project has a 10 Java compliance level, so WindowBuilder will not be able to load classes from this project. Use a lower level of Java for the project, or run Eclipse using a newer Java version.

I then tried with other versions of java but the message stays the same (except naming the project java version). I tried to find out, where that ominous version 0 in the message comes from but had no luck. Is there anybody that has a hint how to solve this problem? I googled too and searched this forum, but did not find an answer.
Thank you
Christian
Re: Eclipse is running under 0, but this Java project has a 9 Java [message #1790406 is a reply to message #1786251] Sat, 09 June 2018 17:43 Go to previous messageGo to next message
Manish Kumar is currently offline Manish KumarFriend
Messages: 1
Registered: June 2018
Junior Member
Even i am facing the same issue can some once please suggest..
Re: Eclipse is running under 0, but this Java project has a 9 Java [message #1790490 is a reply to message #1790406] Mon, 11 June 2018 16:57 Go to previous messageGo to next message
Avi Abrami is currently offline Avi AbramiFriend
Messages: 29
Registered: December 2017
Junior Member
I'm not guaranteeing that this will solve your problem, but try removing all JDK versions from your machine and installing only JDK 1.8
Then try running WindowBuilder.
Re: Eclipse is running under 0, but this Java project has a 9 Java [message #1792230 is a reply to message #1790490] Fri, 13 July 2018 02:10 Go to previous message
B O is currently offline B OFriend
Messages: 1
Registered: July 2018
Junior Member
I was able to fix this same issue by changing the project i was unable to display in window builder from JavaSE-9 to JavaSE-1.8.

I didn't have to install or uninstall anything.
Hope this helps someone.
Previous Topic:WindowBuilder Crashes
Next Topic:manual download of Windowbuilder
Goto Forum:
  


Current Time: Mon Nov 19 16:19:26 GMT 2018

Powered by FUDForum. Page generated in 0.01642 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top